package ca.recrown.islandsurvivalcraft.worldgen;

import java.util.Random;

import org.apache.commons.lang.NotImplementedException;
import org.bukkit.World;
import org.bukkit.generator.ChunkGenerator;

public class IslandSurvivalCraftWorldGenerator extends ChunkGenerator {
    private final BiomeSelector biomeSelector;
    private final BiomePerIslandGenerator biomePerIslandGenerator;
    private final IslandMapGenerator islandMapGenerator;
    private final TemperatureMapGenerator temperatureMapGenerator;
    private final Random random;

    public IslandSurvivalCraftWorldGenerator(long seed, int worldHeight, int seaLevel, boolean biomePerIsland) {
        random = new Random(seed);
        this.biomeSelector = new BiomeSelector(random);
        this.islandMapGenerator = new IslandMapGenerator(random, seaLevel, 3);
        this.temperatureMapGenerator = new TemperatureMapGenerator(seed);
        if (biomePerIsland) {
            this.biomePerIslandGenerator = new BiomePerIslandGenerator(worldHeight, islandMapGenerator, random, biomeSelector);
        } else {
            throw new NotImplementedException();
        }
    }

    @Override
    public ChunkData generateChunkData(World world, Random random, int x, int z, BiomeGrid biome) {
        // TODO Auto-generated method stub
        return super.generateChunkData(world, random, x, z, biome);
    }
}